-- visite notre site: www.opencodearabe.com

-- Creation des Tables

CREATE DATABASE GestionClient
USE GestionClient

CREATE TABLE Client
(
	N_clt INT PRIMARY KEY,
	Nom NVARCHAR(26) NOT NULL, -- LE VIDE EST INTERDIT
	Prenom NVARCHAR(26), -- PREFIX N POUR UNICODE
	Age INT DEFAULT 18, -- VALEUR PAR DEFAULT
)

--  Modification De Tables

ALTER TABLE GestionClient.dbo.Client
	ADD Date_n DATETIME
	CHECK (Date_n >= '01/10/1996')

ALTER TABLE GestionClient.dbo.Client
	DROP CONSTRAINT CK__Client__Date_n__023D5A04

ALTER TABLE GestionClient.dbo.Client
	DROP COLUMN Date_n

ALTER TABLE GestionClient.dbo.Client
	ALTER COLUMN Prenom NVARCHAR(26)

-- Exemple :
/*
	- Cree La Base de Donnees Gestion_Personnel
	- Cree La Table Personnel Dans Cette BD Avec Les Champs :
		- Num int primary key
		- Nom	----------------\
		- Function-------------- \
		- Date_n datetime			varchar(30)
		- Ville					 /
		- Address --------------/
*/

CREATE DATABASE GestionPersonnel
USE GestionPersonnel

CREATE TABLE Personnel
(
	Num INT PRIMARY KEY,
	Nom VARCHAR(30) NOT NULL,
	Fonction VARCHAR(30),
	Date_n DATETIME,
	Ville VARCHAR(30),
	Adress VARCHAR(30)
)

