-- visite notre site: www.opencodearabe.com

/*
	Ces instructions permettant de specifier des cretiere de recherche
	
	- between : permet de verifier si une valeur de colonne et de ligne situe entre 2 valeurs
	- in : permet de verifier si une valeur de colonne et de ligne specifier dans une list,
		l'oposite de : not in
	- like : selectionner les lignes on comparons la valeur d'un colonne de type caractere specifique
		on utilise les caracteres : 
			% : represent n'import quel nombre de caracteres
			_ : represent un seul caractere quelqu'on
*/

-- Exemple : between
	-- afficher la liste des clients ayant salaire entre 3000 et 5000

USE GestionClient

ALTER TABLE Client
ADD Salaire MONEY

SELECT *
FROM Client
WHERE Salaire BETWEEN 3000 AND 5000

-- Exemple : in

-- Afficher les Clients habitant a : Fes, Meknes, Casa

SELECT *
FROM Client
WHERE Ville IN ('Fes', 'Meknes', 'Casa')

-- Exemple : not in

-- Afficher les Clients n'habitant n'est : Fes, Meknes, Casa

SELECT *
FROM Client
WHERE Ville NOT IN ('Fes', 'Meknes', 'Casa')

-- Exemple : like

-- Afficher les Clients ayant le nom commence par 'a'

SELECT *
FROM Client
WHERE Nom LIKE 'a%'
